Get Layouts and Descriptions for a Specified Object
Retrieves lists of layouts and their descriptions for a single object.
Syntax
URI: /services/data/vXX.X/sobjects/sObject/describe/layouts/
Formats: JSON, XML
HTTP Method: GET
Authentication: Authorization: Bearer token
Parameters: None required
Example
Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Battle_Station__c/describe/layouts/ -H "Authorization: Bearer token"Example Response Body
1{
2 "layouts" : [ {
3 "buttonLayoutSection" : {
4 "detailButtons" : [
5 ...
6 ]
7 },
8 "detailLayoutSections" : [
9 ...
10 ],
11 "editLayoutSections" : [
12 ...
13 ],
14 "feedView" : null,
15 "highlightsPanelLayoutSection" : null,
16 "id" : "00ho000000BKMebAAH",
17 "multirowEditLayoutSections" : [ ],
18 "offlineLinks" : [ ],
19 "quickActionList" : {
20 "quickActionListItems" : [
21 ...
22 ]
23 },
24 "relatedContent" : null,
25 "relatedLists" : [
26 ...
27 ],
28 "saveOptions" : [ ]
29 } ],
30 "recordTypeMappings" : [
31 ...
32 ],
33 "recordTypeSelectorRequired" : [ false ]
34}